$(function () {
    $("#LinkType").change(
    function () {
        $("#LinkUrl").val($(this).val());
    });
    function ValidTemp() {
        var ClassName = $("#ClassName"),
        allFields = $([])
        .add(ClassName)
        ;

        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(ClassName, "分类名称", 1, 16);
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
});